%define name	gdam
%define version	0.942
%define release 4mdk
%define __libtoolize /bin/true 
%define major    0

%define libnamecommon %mklibname %name-common %major
%define libname       %mklibname %name        %major 
%define libnameserver %mklibname %name-server %major 
%define libnameclient %mklibname %name-client %major 
%define libnamemodel  %mklibname %name-model  %major 

Name: 	 	%{name}
Summary: 	Digital audio DJ system
Version: 	%{version}
Release: 	%{release}
Source:		http://prdownloads.sourceforge.net/gdam/%{name}-%{version}.tar.bz2
##Borrowed from SuSE since we do not have sgml-tools## 
Source1:        %{name}.txt.tar.bz2
##Also borrowed from SuSE##
Patch:        	gdam-suse-gcc3.3-fix.dif
Patch1:		gdam-def-EV_RST.patch.bz2
Patch2:       	gdam-suse-gcc-bug-fix.dif
URL:		http://gdam.ffem.org/index.html
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk+1.2-devel libglade-devel libxml-devel xmms-devel
BuildRequires:	ncurses-devel ladspa-devel mpg123 libalsa-devel 

%description
GDAM is a digital dj mixing software package. It aims to be a powerful,
professional-quality music mixing and remixing system, suitable for live
performance. 

%package -n %{name}-common
Group: Sound
Requires: mpg123
Summary: Core GDAM libraries, for the client or the server.
 
%description -n %{name}-common
GDAM core libraries; common as in "used by the client
and the server".

%package -n %libnamecommon
Group: System/Libraries
Requires: mpg123
Summary: Core GDAM libraries, for the client or the server.
Provides: lib%name-common = %version-%release

%description -n  %libnamecommon
Common libraries used by the client and the server.

%package -n %{name}-server
Group: System/Libraries
Requires: gdam-common
Summary: The GDAM server: outputs sound to device[s] as clients request.

%description -n %{name}-server
digital-dj sound server.
Real-time music remixing, production and
dj-mixing software.

Features 
o architecture
o plugins
o multiple devices,
o multiple mp3s
o filtering
o looping
o sequencing
o libglade-based
o guis
o midi
o online help 

%package -n %libnameserver
Group: System/Libraries
Requires: gdam-common
Summary: The GDAM server: outputs sound to device[s] as clients request.
Provides: lib%name-server = %version-%release

%description -n %libnameserver
Libraries needed to run the gdam-server

%package -n %{name}-client
Group: Sound
Requires: gdam-common
Summary: Libraries needed by all GDAM clients. 

%description -n %{name}-client
Routines common to all clients, both graphical and text based

%package -n %libnamemodel
Group: System/Libraries
Requires: gdam-common
Summary: Libraries needed by GDAM server. 
Provides: lib%{name} = %version-%release
Provides: lib%name-model = %version-%release

%description -n %libnamemodel
Libraries needed to run gdam-client 

%package -n %{name}-clients-gui
Group: Sound
Requires: gdam-common
Requires: gdam-client
Summary: Gtk+ GUI for GDAM.

%description -n %{name}-clients-gui
Nice Gtk+ / XML based GUIs for GDAM. 

%package -n %libnameclient
Group: System/Libraries
Requires: gdam-common
Summary: Gtk+ GUI for GDAM.
Provides: lib%name-client = %version-%release

%description -n %libnameclient
Libraries needed for GUI
 
%package -n %libname-devel
Group: Development/C
Summary: Header and libraries for developing GDAM clients or plugins.
Requires: lib%name-client = %{version}-%{release}
Requires: lib%name-common = %{version}-%{release}
Requires: lib%name-model = %{version}-%{release}
Requires: lib%name-server = %{version}-%{release}
Provides: lib%{name}-devel = %version-%release
Provides: gdam-devel

%description -n %libname-devel
This package contain .h files used to compile
GDAM clients or server plugins.   

%package -n %{name}-xmms-plugin
Group: Sound
Requires: gdam-clients-gui, gdam-server, xmms
Summary: XMMS plugin support for GDAM
Provides: gdam-devel

%description -n %{name}-xmms-plugin
use XMMS visualization plugins with GDAM.

%package -n %{name}-alsa-plugin
Group: Sound
Requires: gdam-server
Summary: ALSA output device support for the GDAM server.

%description -n %{name}-alsa-plugin
alsa (the Advanced Linux Sound Architecture)
support for GDAM.  Install this to use an ALSA device with GDAM.

%prep
%setup -q
%patch
%patch2
%patch1

%build
%configure2_5x
make 
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

##add text manual## 
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/doc/%{name}/gdam.txt

###Do Not remove the *.a files as they are needed to link together new clients###  

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}-clients-gui
?package(%{name}-clients-gui): command="%{name}-launcher" icon="sound_section.png" needs="x11" title="GDAM" longtitle="Digital DJ System" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post -n lib%{name}-common%{major} -p /sbin/ldconfig 

%postun -n lib%{name}-common%{major} -p /sbin/ldconfig 

%post -n lib%{name}-model%{major} -p /sbin/ldconfig

%postun -n lib%{name}-model%{major} -p /sbin/ldconfig

%post -n lib%{name}-server%{major}  -p /sbin/ldconfig

%postun -n lib%{name}-server%{major}  -p /sbin/ldconfig

%post -n lib%{name}-client%{major} -p /sbin/ldconfig

%postun -n lib%{name}-client%{major} -p /sbin/ldconfig

%post  -n %{name}-clients-gui
%update_menus 
	
%postun -n %{name}-clients-gui
%clean_menus

%files -n %{name}-common
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTORS COPYING ChangeLog INSTALL NEWS README TODO
%doc %{_datadir}/doc/%{name}/FAQ
%dir %_libdir/gdam
%dir %_libdir/gdam/plugins
%_libdir/gdam/plugins/dependencies
%exclude %_libdir/gdam/*.a 
%_libdir/*/*.so*
%_libdir/*/*.la
%dir %_libdir/gdam/synth
%_libdir/gdam/synth/*

%files -n %libnamecommon
%defattr(-,root,root) 
%doc %{_datadir}/doc/%{name}/gdam.sgml 
%doc %{_datadir}/doc/%{name}/gdam.txt
%doc %{_datadir}/doc/%{name}/turntable.keyreference 
%_libdir/libgdam-common.so.*
%_libdir/libgdam-common.la

%files -n %{name}-server
%defattr(-, root, root) 
%_bindir/gdamrtcat
%_bindir/gdam-server
%config(noreplace) %_sysconfdir/gdam/server.config 
%config(noreplace) %_sysconfdir/gdam/ladspa_defaults.xml 
%exclude %_libdir/gdam/plugins/devices/*.a
%exclude %_libdir/gdam/plugins/server/*.a
%_libdir/gdam/plugins/server/gdasbalance.*
%_libdir/gdam/plugins/server/gdasbender.*
%_libdir/gdam/plugins/server/gdascompressor.*
%_libdir/gdam/plugins/server/gdasdistortion.*
%_libdir/gdam/plugins/server/gdasdynamicrange.*
%_libdir/gdam/plugins/server/gdasequalizer.*
%_libdir/gdam/plugins/server/gdasfader.*
%_libdir/gdam/plugins/server/gdasfeedbackfilter.*
%_libdir/gdam/plugins/server/gdasfestival.*
%_libdir/gdam/plugins/server/gdasflange.*
%_libdir/gdam/plugins/server/gdasgate.*
%_libdir/gdam/plugins/server/gdasgdamdsp.*
%_libdir/gdam/plugins/server/gdasgong.*
%_libdir/gdam/plugins/server/gdasladspaplugin.*
%_libdir/gdam/plugins/server/gdaslimiter.*
%_libdir/gdam/plugins/server/gdasmicrophone.*
%_libdir/gdam/plugins/server/gdasmininetwork.*
%_libdir/gdam/plugins/server/gdasoscilloscope.*
%_libdir/gdam/plugins/server/gdasphaser.*
%_libdir/gdam/plugins/server/gdaspinknoise.*
%_libdir/gdam/plugins/server/gdaspluckedstring.*
%_libdir/gdam/plugins/server/gdaspowerspectrum.*
%_libdir/gdam/plugins/server/gdasqueue.*
%_libdir/gdam/plugins/server/gdasrecorder.*
%_libdir/gdam/plugins/server/gdasrecorderexternal.*
%_libdir/gdam/plugins/server/gdasrespeed.* 
%_libdir/gdam/plugins/server/gdasscrub.*
%_libdir/gdam/plugins/server/gdasspatialstereo.*
%_libdir/gdam/plugins/server/gdasvibrato.*
%_libdir/gdam/plugins/server/gdasvolumemeter.*
%_libdir/gdam/plugins/server//gdasexpander.*
%_libdir/gdam/plugins/server/gdasgranularfilter.*
%_libdir/gdam/plugins/server/gdasiirfilter.*
%_libdir/gdam/plugins/server/gdasmoog.*
%_libdir/gdam/plugins/server/gdasoctavedown.*
%_libdir/gdam/plugins/server/gdaspitchshift.*
%_libdir/gdam/plugins/server/gdassecondorderfilter.*
%_libdir/gdam/plugins/server/gdassplinemap.*
%_libdir/gdam/plugins/server/gdasxmmsinput.*
%_libdir/gdam/plugins/server/remez.*
%_libdir/gdam/plugins/devices/gdamdeviceoss.*
%_libdir/gdam/plugins/devices/gdamdevicedummy.* 
%_mandir/man1/gdam-server.1.bz2

%files -n %libnameserver
%defattr(-,root,root)
%_libdir/libgdam-server.so.*
%_libdir/libgdam-server.la

%files -n %{name}-client 
%defattr(-,root,root)
%_bindir/gdam123
%_bindir/gdamcli
%_bindir/gdamdbtool
%_bindir/gdamdsp
%_bindir/gdamexternalrecorderhelper
%dir %_libdir/gdam/plugins
%dir %_libdir/gdam/plugins/devices
%_libdir/gdam/plugins/devices/gdamthreadeddevice.*
%dir %_libdir/gdam/plugins/model
%_libdir/gdam/plugins/model/gdambalance.*
%_libdir/gdam/plugins/model/gdambender.*
%_libdir/gdam/plugins/model/gdamcompressor.*
%_libdir/gdam/plugins/model/gdamdistortion.*
%_libdir/gdam/plugins/model/gdamequalizer.*
%_libdir/gdam/plugins/model/gdamfader.*
%_libdir/gdam/plugins/model/gdamfeedbackfilter.*
%_libdir/gdam/plugins/model/gdamfestival.*
%_libdir/gdam/plugins/model/gdamfiltermodulator.*
%_libdir/gdam/plugins/model/gdamfiltervibrato.*
%_libdir/gdam/plugins/model/gdamfilterwavetable.*
%_libdir/gdam/plugins/model/gdamfirfilter.*
%_libdir/gdam/plugins/model/gdamflange.*
%_libdir/gdam/plugins/model/gdamgate.*
%_libdir/gdam/plugins/model/gdamgdamdsp.*
%_libdir/gdam/plugins/model/gdamgong.*
%_libdir/gdam/plugins/model/gdamladspafilter.*
%_libdir/gdam/plugins/model/gdamlimiter.*
%_libdir/gdam/plugins/model/gdammeter.*
%_libdir/gdam/plugins/model/gdammididevice.*
%_libdir/gdam/plugins/model/gdammininetwork.*
%_libdir/gdam/plugins/model/gdamoscilloscope.*
%_libdir/gdam/plugins/model/gdamphaser.*
%_libdir/gdam/plugins/model/gdampluckedstring.*
%_libdir/gdam/plugins/model/gdampowerspectrum.*
%_libdir/gdam/plugins/model/gdamproducercache.*
%_libdir/gdam/plugins/model/gdamproducermicrophone.* 
%_libdir/gdam/plugins/model/gdamproducermp3cacheable.*  
%_libdir/gdam/plugins/model/gdamproducermp3click.* 
%_libdir/gdam/plugins/model/gdamproducerwalker.* 
%_libdir/gdam/plugins/model/gdamproducerwavetable.* 
%_libdir/gdam/plugins/model/gdamps2keyboard.*
%_libdir/gdam/plugins/model/gdamrangefinder.*
%_libdir/gdam/plugins/model/gdamrecorderexternal.*
%_libdir/gdam/plugins/model/gdamrecorderfilter.*
%_libdir/gdam/plugins/model/gdamscrub.*
%_libdir/gdam/plugins/model/gdamspatialstereo.*
%_libdir/gdam/plugins/model/gdamspin.*
%_libdir/gdam/plugins/model/gdamusbhid.* 
%_libdir/gdam/plugins/model/gdamcoremididevice.*
%_libdir/gdam/plugins/model/gdamiokithid.*
%_libdir/gdam/plugins/model/gdamsplinemap.* 
%exclude %_libdir/gdam/plugins/model/*.a
%exclude %_libdir/gdam/plugins/devices/*.a
%_mandir/man1/gdam123.1.bz2
%_mandir/man1/gdamcli.1.bz2

%files -n %libnamemodel
%defattr(-, root, root)
%_libdir/libgdam-model.so.*
%_libdir/libgdam-model.la

%files -n %{name}-clients-gui
%defattr(-, root, root)
%_bindir/gdamladspapluginscanner
%_bindir/gdam-launcher
%dir %_sysconfdir/gdam
%config(noreplace) %_sysconfdir/gdam/input.devices
%dir %_libdir/gdam
%dir %_libdir/gdam/plugins
%dir %_libdir/gdam/plugins/skin
%_libdir/gdam/plugins/skin/gdambalanceskin.*
%_libdir/gdam/plugins/skin/gdambeatcalculatorskin.*
%_libdir/gdam/plugins/skin/gdambenderskin.*
%_libdir/gdam/plugins/skin/gdambuffereditorskin.*
%_libdir/gdam/plugins/skin/gdamcompressorskin.*
%_libdir/gdam/plugins/skin/gdamdistortionskin.*
%_libdir/gdam/plugins/skin/gdamequalizerskin.*
%_libdir/gdam/plugins/skin/gdamfaderskin.*
%_libdir/gdam/plugins/skin/gdamfeedbackfilterskin.*
%_libdir/gdam/plugins/skin/gdamfestivalskin.*
%_libdir/gdam/plugins/skin/gdamfiltermodulatorskin.*
%_libdir/gdam/plugins/skin/gdamfiltervibratoskin.*
%_libdir/gdam/plugins/skin/gdamfilterwavetableskin.*
%_libdir/gdam/plugins/skin/gdamfirfilterskin.*
%_libdir/gdam/plugins/skin/gdamflangeskin.*
%_libdir/gdam/plugins/skin/gdamgateskin.*
%_libdir/gdam/plugins/skin/gdamgdamdspskin.*
%_libdir/gdam/plugins/skin/gdamgongskin.*
%_libdir/gdam/plugins/skin/gdamhelpskin.*
%_libdir/gdam/plugins/skin/gdamladspaskin.*
%_libdir/gdam/plugins/skin/gdamlimiterskin.*
%_libdir/gdam/plugins/skin/gdammicrophoneskin.*
%_libdir/gdam/plugins/skin/gdammininetworkskin.*
%_libdir/gdam/plugins/skin/gdammod.*
%_libdir/gdam/plugins/skin/gdamoscilloscopeskin.*
%_libdir/gdam/plugins/skin/gdamphaserskin.*
%_libdir/gdam/plugins/skin/gdampluckedstringskin.*
%_libdir/gdam/plugins/skin/gdampowerspectrumskin.*
%_libdir/gdam/plugins/skin/gdamproducermp3cacheableskin.*
%_libdir/gdam/plugins/skin/gdamproducerqueueskin.*
%_libdir/gdam/plugins/skin/gdamrecorderskin.*
%_libdir/gdam/plugins/skin/gdamscrubskin.*
%_libdir/gdam/plugins/skin/gdamsequencerskin.*
%_libdir/gdam/plugins/skin/gdamsongdatabasemakerskin.*
%_libdir/gdam/plugins/skin/gdamspatialstereoskin.*
%_libdir/gdam/plugins/skin/gdamspectrumscrollskin.*
%_libdir/gdam/plugins/skin/gdamspinskin.*
%_libdir/gdam/plugins/skin/gdamsplinemapskin.*
%_libdir/gdam/plugins/skin/gdamvolumemeterskin.*
%_libdir/gdam/plugins/skin/gdamwalkerskin.*
%_libdir/gdam/plugins/skin/gdamwavetableskin.*
%_libdir/gdam/plugins/skin/gdamsamplingsequencerskin.* 
%exclude %_libdir/gdam/plugins/skin/*.a
%_datadir/gdam
%_mandir/man1/gdam-launcher.1.bz2
%_mandir/man1/gdamladspapluginscanner.1.bz2
%_menudir/gdam-clients-gui

%files -n %libnameclient
%defattr(-, root, root)
%_libdir/libgdam-client.so.*
%_libdir/libgdam-client.la
%_libdir/libgdam-skin.so.*
%_libdir/libgdam-skin.la

%files -n %libname-devel
%defattr(-, root, root)
%doc %dir %{_datadir}/doc/%{name}/gdam-dev.sgml  
%doc %dir %{_datadir}/doc/%{name}/gdam.sgml
%doc %dir %{_datadir}/doc/%{name}/vision.txt 
%_libdir/*.a
%_libdir/*.so
%dir %_includedir/gdam
%dir %_includedir/gdam/client
%_includedir/gdam/client/*.h
%dir %_includedir/gdam/common
%_includedir/gdam/common/*.h
%dir %_includedir/gdam/server
%_includedir/gdam/server/*.h
%dir %_includedir/gdam/model
%_includedir/gdam/model/*.h
%dir %_includedir/gdam/skin
%_includedir/gdam/skin/*.h 
%_libdir/gdam/*.a
%dir %_libdir/gdam/plugins
%dir %_libdir/gdam/plugins/devices
%_libdir/gdam/plugins/devices/*.a
%dir %_libdir/gdam/plugins/model
%_libdir/gdam/plugins/model/*.a
%dir %_libdir/gdam/plugins/server
%_libdir/gdam/plugins/server/*.a
%dir %_libdir/gdam/plugins/skin
%_libdir/gdam/plugins/skin/*.a

%files -n %{name}-xmms-plugin
%defattr(-, root, root)
%_bindir/gdamxmmsvishelper
%dir %_libdir/gdam/plugins
%dir %_libdir/gdam/plugins/server
%_libdir/gdam/plugins/server/gdasxmmsvisfilter.so*
%_libdir/gdam/plugins/server/gdasxmmsvisfilter.la
%_libdir/gdam/plugins/model/gdamxmmsfilter.so*
%_libdir/gdam/plugins/model/gdamxmmsfilter.la
%_libdir/gdam/plugins/skin/gdamxmmsfilterskin.so*
%_libdir/gdam/plugins/skin/gdamxmmsfilterskin.la
 
%files -n %{name}-alsa-plugin
%defattr(-, root, root)
%dir %_libdir/gdam/plugins
%dir %_libdir/gdam/plugins/devices
%_libdir/gdam/plugins/devices/gdamdevicealsa.so*
%_libdir/gdam/plugins/devices/gdamdevicealsa.la
%_libdir/gdam/plugins/model/gdamalsamididevice.so*
%_libdir/gdam/plugins/model/gdamalsamididevice.la

%changelog
* Sun Feb 29 2004 Pascal Terjan <pterjan@mandrake.org> 0.942-4mdk
- fix another DEP and typos

* Sun Feb 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.942-3mdk
- really fix dep

* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.942-2mdk
- Fix dep
- Own dir
- Patch1: fix build, dcl EV_RST
- %%mklibname

* Wed Oct 15 2003 Austin Acton <aacton@yorku.ca> 0.942-1mdk
- the wonderful work of Charles A Edwards <eslrahc@bellsouth.net> :
  - initial package
